Download it now!
Bug 117301 - Firebird: Migration: table fails to migrate with column type of FLOAT
Summary: Firebird: Migration: table fails to migrate with column type of FLOAT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Database-Firebird-Migration
  Show dependency treegraph
 
Reported: 2018-04-27 19:26 UTC by Drew Jensen
Modified: 2018-05-28 10:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test ODB with single table, two columns and two records (4.20 KB, application/vnd.oasis.opendocument.database)
2018-04-27 19:28 UTC, Drew Jensen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2018-04-27 19:26:50 UTC
Description:
Original file created with 5.4.6.2

Test system:
Version: 6.1.0.0.alpha1
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Steps to Reproduce:
1. Load and open attached ODB file.
2. Open and go to Tables
3. Answer yes to migration to Firebird

Actual Results:  
Error
firebird_sdbc error:
*Dynamic SQL Error
*SQL error code = -104
*Token unknown - line 1, column 123
*SUB_TYPE
caused by
'isc_dsql_prepare'

Expected Results:
Table and data migrate to firebird schema


Reproducible: Always


User Profile Reset: No



Additional Info:
error happens before data import


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/65.0.3325.181 Chrome/65.0.3325.181 Safari/537.36
Comment 1 Drew Jensen 2018-04-27 19:28:07 UTC
Created attachment 141727 [details]
test ODB with single table, two columns and two records

test file with data
Comment 2 MM 2018-04-27 23:20:00 UTC
Confirmed on ubuntu 16.04 x64 with Version: 6.1.0.0.alpha1+
Build ID: e9ac3a9c1ee7689c4d591a68250666c95632bd2a
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-04-27_00:59:01
Locale: en-US (en_US.UTF-8); Calc:

As a workaround, first click 'later'. Next try to open the table again. Now base doesn't shows the error and the table is opened normally.

When trying to save the file, base shows the error again and on clicking 'yes' and 'ok', crashes: crashreport.libreoffice.org/stats/crash_details/a5c3b866-b94d-4a79-ad65-577a58ec0027
Maybe a different bug ?
Comment 3 Drew Jensen 2018-04-28 22:13:11 UTC
(In reply to MM from comment #2)
> Confirmed on ubuntu 16.04 x64 with Version: 6.1.0.0.alpha1+
> Build ID: e9ac3a9c1ee7689c4d591a68250666c95632bd2a
> CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
> 2018-04-27_00:59:01
> Locale: en-US (en_US.UTF-8); Calc:
> 
> As a workaround, first click 'later'. Next try to open the table again. Now
> base doesn't shows the error and the table is opened normally.
> 
> When trying to save the file, base shows the error again and on clicking
> 'yes' and 'ok', crashes:
> crashreport.libreoffice.org/stats/crash_details/a5c3b866-b94d-4a79-ad65-
> 577a58ec0027
> Maybe a different bug ?

YUP that does crash it.. and yes I agree separate issue. Off to do that now.
Comment 4 Commit Notification 2018-05-12 08:29:12 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1932f4b04a299fc4f478a629f0f97efea8a10c62

tdf#117301 dbahsql: add FLOAT type

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Drew Jensen 2018-05-12 22:05:09 UTC
Checked with build:
Version: 6.1.0.0.alpha1+
Build ID: e8d48dd75a1bb31b5bc500bc79fb80384a09bcc6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-05-12_18:01:45
Locale: en-US (en_US.UTF-8); Calc: group

Table with field type and data came across as expected.
Comment 6 Xisco Faulí 2018-05-28 10:57:01 UTC
(In reply to Drew Jensen from comment #5)
> Checked with build:
> Version: 6.1.0.0.alpha1+
> Build ID: e8d48dd75a1bb31b5bc500bc79fb80384a09bcc6
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
> 2018-05-12_18:01:45
> Locale: en-US (en_US.UTF-8); Calc: group
> 
> Table with field type and data came across as expected.

Setting as RESOLVED VERIFIED then.
Thanks for checking it...